Bug 251397 - games/devilutionX: takeover maintainership
Summary: games/devilutionX: takeover maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-26 07:53 UTC by Nuno Teixeira
Modified: 2020-11-30 17:32 UTC (History)
2 users (show)

See Also:
benny.goemans: maintainer-feedback+


Attachments
Sugested svn patch (640 bytes, patch)
2020-11-26 07:53 UTC, Nuno Teixeira
no flags Details | Diff
Sugested svn diff (348 bytes, patch)
2020-11-28 03:09 UTC, Nuno Teixeira
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nuno Teixeira 2020-11-26 07:53:44 UTC
Created attachment 219992 [details]
Sugested svn patch

Hello,

- takeover maintainership

- remove cmake NIGHTLY_BUILD option since it doesn't apply to releases
( https://github.com/diasurgical/devilutionX/issues/908 )


Thanks,

Nuno Teixeira
Comment 1 malavon 2020-11-26 11:32:40 UTC
Maintainer OK :)
Comment 2 malavon 2020-11-26 11:34:53 UTC
Though I have no idea why you'd want to remove a debugging option, even if the current build is working well. One day it might be necessary to debug the executables and many other ports have it as well.
Comment 3 Nuno Teixeira 2020-11-27 07:57:36 UTC
Well you are right about debug option may be usefull.

In that case isn't better to use:

DEBUG_OPTION(ASAN "Enable address sanitizer")
DEBUG_OPTION(UBSAN "Enable undefined behaviour sanitizer")
==> DEBUG_OPTION(DEBUG "Enable debug mode in engine")

?
Comment 4 Nuno Teixeira 2020-11-27 11:04:35 UTC
... instead of NIGHTLY_BUILD?

My point was to remove NIGHTLY_BUILD cmake option because it is not for releases.

I will do some tests with CMAKE_ON=DEBUG or if it is needed other way to call DEBUG cmake option.

What do think?

:)

Thanks
Comment 5 malavon 2020-11-27 11:36:52 UTC
To be fair, I never documented why I chose the NIGHTLY_BUILD option over any other ones. I suppose you could test out if debugging works fine with whatever option you'd go with. If it works, it should be fine.
Comment 6 Nuno Teixeira 2020-11-28 03:09:24 UTC
Created attachment 220038 [details]
Sugested svn diff

I will dig over DEBUG later with upstream.
Leave NIGHTLY_BUILD option in the meanwhile.

Thanks
Comment 7 malavon 2020-11-28 12:14:31 UTC
Comment on attachment 220038 [details]
Sugested svn diff

Approval by current maintainer
Comment 8 Fernando Apesteguía freebsd_committer 2020-11-30 17:31:47 UTC
Committed,

Thanks!
Comment 9 commit-hook freebsd_committer 2020-11-30 17:32:01 UTC
A commit references this bug:

Author: fernape
Date: Mon Nov 30 17:31:27 UTC 2020
New revision: 556664
URL: https://svnweb.freebsd.org/changeset/ports/556664

Log:
  games/devilutionX: change MAINTAINER

  ed.arrakis@gmail.com takes maintainership

  PR:	251397
  Submitted by:	ed.arrakis@gmail.com
  Approved by:	benny.goemans@gmail.com (maintainer)

Changes:
  head/games/devilutionX/Makefile